document.addEventListener('DOMContentLoaded', function () {
  const progressBar = document.getElementById('progress-bar');
  const progressText = document.getElementById('progress-text');

  // Simulate loading progress
  let progress = 0;
  const interval = setInterval(() => {
    progress += 10;
    progressBar.style.width = `${progress}%`;
    progressText.textContent = `Learning Progress: ${progress}%`;

    if (progress >= 100) {
      clearInterval(interval);
      progressText.textContent = 'Learning Complete!';
    }
  }, 500);
});